Bug 13928

Summary: [855] intel driver version 2.2.0 - wrong image/fonts rendering
Product: xorg Reporter: Grzegorz {NineX} Krzystek <ninex>
Component: Driver/intelAssignee: Wang Zhenyu <zhenyu.z.wang>
Status: CLOSED FIXED QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: medium    
Version: 7.3 (2007.09)   
Hardware: x86 (IA32)   
OS: All   
Whiteboard:
i915 platform: i915 features:
Attachments:
Description Flags
screenshot.jpg
none
xorg.0.log
none
xorg.conf
none
lspci.txt none

Description Grzegorz {NineX} Krzystek 2008-01-04 08:21:27 UTC
Afrer upgrade xf86-video-i810-2.1.1 to
xf86-video-i810-2.2.0 data on screen are unreadable
after back to version 2.1.1 all works fine.
screenshot attached
Comment 1 Grzegorz {NineX} Krzystek 2008-01-04 08:22:23 UTC
Created attachment 13524 [details]
screenshot.jpg
Comment 2 Grzegorz {NineX} Krzystek 2008-01-04 08:22:46 UTC
Created attachment 13525 [details]
xorg.0.log
Comment 3 Grzegorz {NineX} Krzystek 2008-01-04 08:23:00 UTC
Created attachment 13526 [details]
xorg.conf
Comment 4 Grzegorz {NineX} Krzystek 2008-01-04 08:29:59 UTC
Created attachment 13527 [details]
lspci.txt
Comment 5 Brice Goglin 2008-01-04 17:16:18 UTC
This is probably already fixed in xf86-video-intel git master, you should test it.

In the meantime, try adding
   Option "AccelMethod" "XAA"
to the Device section of your xorg.conf.
Comment 6 Michael Fu 2008-01-06 17:43:27 UTC
I think zhenyu once fixed a very similar issue on 855 platform. re-assign to him for comment.
Comment 7 Wang Zhenyu 2008-01-07 06:04:45 UTC
yeah, please try current git version of the driver.
Comment 8 Michael Fu 2008-01-08 17:10:37 UTC
Grzegorz , can you try zhenyu suggested in comment# 7?
Comment 9 Michael Fu 2008-01-08 17:11:15 UTC
Grzegorz , can you try zhenyu suggested in comment# 7?
Comment 10 Grzegorz {NineX} Krzystek 2008-01-10 15:49:59 UTC
(In reply to comment #9)
> Grzegorz , can you try zhenyu suggested in comment# 7?
> 

yes
seems to work corectly with current git driver

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.